<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Roles</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <!-- Custom styles for this template -->
    <link href="/stylesheets/addAgent.css" rel="stylesheet">
</head>

<body>
    <div class="container" id="v-for-object">
        <form action="" class="verification" id="verification" @submit.prevent="submitform">
            <div class="form-group">
                <label for="first_name">First Name</label>
                <input type="text" name="first_name" class="form-control" v-model="first_name">
            </div>
            <div class="form-group">
                <label for="last_name">Last Name</label>
                <input type="text" name="last_name" class="form-control" v-model="last_name">
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="text" name="email" class="form-control" v-model="email">
            </div>
            <div class="form-group">
                <label for="timezone">Timezone</label>
                <select v-model="timezone">
                    <option value="DE">DE</option>
                    <option value="IN">IN</option>
                    <option value="PT">PT</option>
                </select>
            </div>
            <div class="form-group">
                <label for="workhour">Work Hours</label>
                <select v-model="workhour">
                    <option value="8.00 AM to 9.00 PM">8.00 AM to 9.00 PM</option>
                    <option value="7.00 AM to 8.00 PM">7.00 AM to 8.00 PM</option>
                    <option value="6.00 AM to 7.00 PM">6.00 AM to 7.00 PM</option>
                </select>
            </div>
            <div class="form-group clearfix">
                <label for="roles">Roles</label>
                <ul>
                    <li v-for="role in roleList" style="list-style-type:none;">
                        <input type="checkbox" :value="role._id" :id="role.roles" v-model="checkedCategories"
                            @click="check($event)"> {{role.roles}}
                    </li>
                </ul>
            </div>
            <div>
                <button class="btn btn-primary-rounded btn-lg" type="button">Cancel</button>
                <button class="btn btn-primary-rounded btn-lg" type="submit">Submit</button>
            </div>
        </form>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        new Vue({
            el: '#v-for-object',
            data: {
                checkedCategories: [],
                mainCategories: [{
                    merchantId: '1'
                }, {
                    merchantId: '2'
                }],
                roleList: [],
                // roleList: [
                //     {
                //         "_id": "6012a7a69c497f0019500485",
                //         "account": "6012a7a69c497f0019500484",
                //         "roles": "Administrator",
                //         "__v": 0
                //     },
                //     {
                //         "_id": "6012e7f6efc46a001ac96e45",
                //         "account": "6012a7a69c497f0019500484",
                //         "roles": "HR",
                //         "__v": 0
                //     }
                // ]
            },
            methods: {
                check: function (e) {
                    if (e.target.checked) {
                        console.log(e.target.value)
                    }
                },
                getAllRoles: function () {
                    let accountId = '6012a7a69c497f0019500484';
                    let self = this;
                    fetch(`/api/accountrole/account/${accountId}`, {
                        method: 'GET',
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    }).then((res) => {
                        return res.json();
                    }).then(data => {
                        console.log(data);
                        self.roleList = data;
                    });
                },
                submitform: function () {
                    let self = this;
                    console.log("jjojo")
                    let accountId = '6012a7a69c497f0019500484';
                    console.log(`${this.first_name}${this.last_name}${this.email}${this.checkedCategories}${this.timezone}${this.workhour}`);
                    fetch(`/api/user/${accountid}/add`, {
                        method: 'POST',
                        body: JSON.stringify({
                            "firstName": this.first_name,
                            "lastName": this.last_name,
                            "email": this.email,
                            "admin": false,
                            "timezone": this.timezone,
                            "workHours": this.workhour,
                            "roles": this.checkedCategories
                        }),
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    }).then((res) => {
                            console.log(res);
                            self.add = res.status;
                        });
                }
            },
            beforeMount() {
                this.getAllRoles()
            },
        });

    </script>
</body>

</html>